%define upstream_name    BackupPC-XS
%define upstream_version 0.62

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Summary:    Perl extension for BackupPC libraries
License:    GPLv3
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CB/CBARRATT/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
BackupPC::XS provides various submodules that implement various BackupPC
library functions. The following sections describe each submodule.

This documentation is very terse. BackupPC::XS is not intended to be a
general-purpose module - it is closely tied to BackupPC. Look in the BackupPC
code to see examples of using this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorarch/BackupPC
%perl_vendorarch/auto/BackupPC


%changelog
* Mon Jun 06 2022 umeabot <umeabot> 0.620.0-4.mga9
+ Revision: 1861544
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.620.0-3.mga9
+ Revision: 1795499
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.620.0-2.mga9
+ Revision: 1726395
- Rebuild for perl 5.34

* Tue Jul 07 2020 wally <wally> 0.620.0-1.mga8
+ Revision: 1602841
- new version 0.62

* Wed Jun 17 2020 umeabot <umeabot> 0.580.0-4.mga8
+ Revision: 1594288
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.580.0-3.mga8
+ Revision: 1529345
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.580.0-2.mga8
+ Revision: 1433348
- rebuild for perl 5.30

* Mon Dec 17 2018 shlomif <shlomif> 0.580.0-1.mga7
+ Revision: 1342311
- New version 0.58 ( MGA#24010 )

* Fri Sep 21 2018 umeabot <umeabot> 0.560.0-4.mga7
+ Revision: 1292363
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 0.560.0-3.mga7
+ Revision: 1248173
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.560.0-2.mga7
+ Revision: 1163151
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 guillomovitch <guillomovitch> 0.560.0-1.mga7
+ Revision: 1154184
- imported package perl-BackupPC-XS

